
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef P3D_PRINTXML_H
#define P3D_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/genBasicPrintXML.h"

#include "server/dtmPrintXML.h"

#include "server/pomPrintXML.h"

#include "server/genPosPrintXML.h"


#include "p3dPosterLib.h"

/* Prototypes */
extern void printXML_struct_P3D_P3DSTATUS_POSTER_STR ( FILE *out, char *name,
     struct P3D_P3DSTATUS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3D_MONITORING_POSTER_STR ( FILE *out, char *name,
     struct P3D_MONITORING_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3D_PATH_POSTER_STR ( FILE *out, char *name,
     struct P3D_PATH_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3D_WAYPOINTS_POSTER_STR ( FILE *out, char *name,
     struct P3D_WAYPOINTS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3D_SPEEDREF_POSTER_STR ( FILE *out, char *name,
     struct P3D_SPEEDREF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3D_STR ( FILE *out, char *name,
     struct P3D_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3D_DUMP_PARAMS ( FILE *out, char *name,
     struct P3D_DUMP_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_P3D_DUMP_STATUS ( FILE *out, char *name,
     enum P3D_DUMP_STATUS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3D_MONITOR_PARAMS ( FILE *out, char *name,
     struct P3D_MONITOR_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_P3D_MONITOR_LOG_FLAG ( FILE *out, char *name,
     enum P3D_MONITOR_LOG_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3D_MONITOR_DATA ( FILE *out, char *name,
     struct P3D_MONITOR_DATA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_P3D_MONITOR_STATUS ( FILE *out, char *name,
     enum P3D_MONITOR_STATUS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3D_PLACEROBOT_PARAMS ( FILE *out, char *name,
     struct P3D_PLACEROBOT_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3D_DISPLAYCONFIG_PARAMS ( FILE *out, char *name,
     struct P3D_DISPLAYCONFIG_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3D_ROBOT_POS ( FILE *out, char *name,
     struct P3D_ROBOT_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3D_DISPLAY_STATE ( FILE *out, char *name,
     struct P3D_DISPLAY_STATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_P3D_GDHE_CONNECTION ( FILE *out, char *name,
     enum P3D_GDHE_CONNECTION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3D_DISPLAY_PARAMS ( FILE *out, char *name,
     struct P3D_DISPLAY_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3DSolution ( FILE *out, char *name,
     struct P3DSolution *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3DArcGen ( FILE *out, char *name,
     struct P3DArcGen *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3DNodeGen ( FILE *out, char *name,
     struct P3DNodeGen *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3DRobotConfigGen ( FILE *out, char *name,
     struct P3DRobotConfigGen *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3DStatus ( FILE *out, char *name,
     struct P3DStatus *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_P3D_STATUS_FLAG ( FILE *out, char *name,
     enum P3D_STATUS_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3DGoalDistance ( FILE *out, char *name,
     struct P3DGoalDistance *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3DWayPointList ( FILE *out, char *name,
     struct P3DWayPointList *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3DWayPoint ( FILE *out, char *name,
     struct P3DWayPoint *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3D_SAVEMAP_PARAMS ( FILE *out, char *name,
     struct P3D_SAVEMAP_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3DSDIIo ( FILE *out, char *name,
     struct P3DSDIIo *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3DPlanParams ( FILE *out, char *name,
     struct P3DPlanParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3DArcsParams ( FILE *out, char *name,
     struct P3DArcsParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3DLamaLimits ( FILE *out, char *name,
     struct P3DLamaLimits *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3DLamaGeom ( FILE *out, char *name,
     struct P3DLamaGeom *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_P3D_INIT ( FILE *out, char *name,
     struct P3D_INIT *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_P3D_INIT ( FILE *out, char *name,
     P3D_INIT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3DLamaGeom ( FILE *out, char *name,
     P3DLamaGeom *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3DLamaLimits ( FILE *out, char *name,
     P3DLamaLimits *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3DArcsParams ( FILE *out, char *name,
     P3DArcsParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3DPlanParams ( FILE *out, char *name,
     P3DPlanParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3DSDIIo ( FILE *out, char *name,
     P3DSDIIo *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_SAVEMAP_PARAMS ( FILE *out, char *name,
     P3D_SAVEMAP_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3DWayPoint ( FILE *out, char *name,
     P3DWayPoint *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3DWayPointList ( FILE *out, char *name,
     P3DWayPointList *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3DGoalDistance ( FILE *out, char *name,
     P3DGoalDistance *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_STATUS_FLAG ( FILE *out, char *name,
     P3D_STATUS_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3DStatus ( FILE *out, char *name,
     P3DStatus *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3DRobotConfigGen ( FILE *out, char *name,
     P3DRobotConfigGen *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3DNodeGen ( FILE *out, char *name,
     P3DNodeGen *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3DArcGen ( FILE *out, char *name,
     P3DArcGen *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3DSolution ( FILE *out, char *name,
     P3DSolution *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_DISPLAY_PARAMS ( FILE *out, char *name,
     P3D_DISPLAY_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_GDHE_CONNECTION ( FILE *out, char *name,
     P3D_GDHE_CONNECTION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_DISPLAY_STATE ( FILE *out, char *name,
     P3D_DISPLAY_STATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_ROBOT_POS ( FILE *out, char *name,
     P3D_ROBOT_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_DISPLAYCONFIG_PARAMS ( FILE *out, char *name,
     P3D_DISPLAYCONFIG_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_PLACEROBOT_PARAMS ( FILE *out, char *name,
     P3D_PLACEROBOT_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_MONITOR_STATUS ( FILE *out, char *name,
     P3D_MONITOR_STATUS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_MONITOR_DATA ( FILE *out, char *name,
     P3D_MONITOR_DATA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_MONITOR_LOG_FLAG ( FILE *out, char *name,
     P3D_MONITOR_LOG_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_MONITOR_PARAMS ( FILE *out, char *name,
     P3D_MONITOR_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_DUMP_STATUS ( FILE *out, char *name,
     P3D_DUMP_STATUS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_DUMP_PARAMS ( FILE *out, char *name,
     P3D_DUMP_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_STR ( FILE *out, char *name,
     P3D_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_SPEEDREF_POSTER_STR ( FILE *out, char *name,
     P3D_SPEEDREF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_WAYPOINTS_POSTER_STR ( FILE *out, char *name,
     P3D_WAYPOINTS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_PATH_POSTER_STR ( FILE *out, char *name,
     P3D_PATH_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_MONITORING_POSTER_STR ( FILE *out, char *name,
     P3D_MONITORING_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_P3D_P3DSTATUS_POSTER_STR ( FILE *out, char *name,
     P3D_P3DSTATUS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* P3D_PRINT_XML_H */

