/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef P3D_PRINT_H
#define P3D_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/genBasicTclservClientEncode.h"

#include "server/tclservClient/dtmTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"

#include "server/tclservClient/genPosTclservClientEncode.h"


#include "server/p3dPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_P3D_P3DSTATUS_POSTER_STR ( buf_t buf, struct P3D_P3DSTATUS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_P3D_MONITORING_POSTER_STR ( buf_t buf, struct P3D_MONITORING_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_P3D_PATH_POSTER_STR ( buf_t buf, struct P3D_PATH_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_P3D_WAYPOINTS_POSTER_STR ( buf_t buf, struct P3D_WAYPOINTS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_P3D_SPEEDREF_POSTER_STR ( buf_t buf, struct P3D_SPEEDREF_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_P3D_STR ( buf_t buf, struct P3D_STR *x, int nDim, int *dims);
void buf_add_struct_P3D_DUMP_PARAMS ( buf_t buf, struct P3D_DUMP_PARAMS *x, int nDim, int *dims);
void buf_add_enum_P3D_DUMP_STATUS ( buf_t buf, enum P3D_DUMP_STATUS *x, int nDim, int *dims);
void buf_add_struct_P3D_MONITOR_PARAMS ( buf_t buf, struct P3D_MONITOR_PARAMS *x, int nDim, int *dims);
void buf_add_enum_P3D_MONITOR_LOG_FLAG ( buf_t buf, enum P3D_MONITOR_LOG_FLAG *x, int nDim, int *dims);
void buf_add_struct_P3D_MONITOR_DATA ( buf_t buf, struct P3D_MONITOR_DATA *x, int nDim, int *dims);
void buf_add_enum_P3D_MONITOR_STATUS ( buf_t buf, enum P3D_MONITOR_STATUS *x, int nDim, int *dims);
void buf_add_struct_P3D_PLACEROBOT_PARAMS ( buf_t buf, struct P3D_PLACEROBOT_PARAMS *x, int nDim, int *dims);
void buf_add_struct_P3D_DISPLAYCONFIG_PARAMS ( buf_t buf, struct P3D_DISPLAYCONFIG_PARAMS *x, int nDim, int *dims);
void buf_add_struct_P3D_ROBOT_POS ( buf_t buf, struct P3D_ROBOT_POS *x, int nDim, int *dims);
void buf_add_struct_P3D_DISPLAY_STATE ( buf_t buf, struct P3D_DISPLAY_STATE *x, int nDim, int *dims);
void buf_add_enum_P3D_GDHE_CONNECTION ( buf_t buf, enum P3D_GDHE_CONNECTION *x, int nDim, int *dims);
void buf_add_struct_P3D_DISPLAY_PARAMS ( buf_t buf, struct P3D_DISPLAY_PARAMS *x, int nDim, int *dims);
void buf_add_struct_P3DSolution ( buf_t buf, struct P3DSolution *x, int nDim, int *dims);
void buf_add_struct_P3DArcGen ( buf_t buf, struct P3DArcGen *x, int nDim, int *dims);
void buf_add_struct_P3DNodeGen ( buf_t buf, struct P3DNodeGen *x, int nDim, int *dims);
void buf_add_struct_P3DRobotConfigGen ( buf_t buf, struct P3DRobotConfigGen *x, int nDim, int *dims);
void buf_add_struct_P3DStatus ( buf_t buf, struct P3DStatus *x, int nDim, int *dims);
void buf_add_enum_P3D_STATUS_FLAG ( buf_t buf, enum P3D_STATUS_FLAG *x, int nDim, int *dims);
void buf_add_struct_P3DGoalDistance ( buf_t buf, struct P3DGoalDistance *x, int nDim, int *dims);
void buf_add_struct_P3DWayPointList ( buf_t buf, struct P3DWayPointList *x, int nDim, int *dims);
void buf_add_struct_P3DWayPoint ( buf_t buf, struct P3DWayPoint *x, int nDim, int *dims);
void buf_add_struct_P3D_SAVEMAP_PARAMS ( buf_t buf, struct P3D_SAVEMAP_PARAMS *x, int nDim, int *dims);
void buf_add_struct_P3DSDIIo ( buf_t buf, struct P3DSDIIo *x, int nDim, int *dims);
void buf_add_struct_P3DPlanParams ( buf_t buf, struct P3DPlanParams *x, int nDim, int *dims);
void buf_add_struct_P3DArcsParams ( buf_t buf, struct P3DArcsParams *x, int nDim, int *dims);
void buf_add_struct_P3DLamaLimits ( buf_t buf, struct P3DLamaLimits *x, int nDim, int *dims);
void buf_add_struct_P3DLamaGeom ( buf_t buf, struct P3DLamaGeom *x, int nDim, int *dims);
void buf_add_struct_P3D_INIT ( buf_t buf, struct P3D_INIT *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_P3D_INIT ( buf_t buf, P3D_INIT *x, int nDim, int *dims);
void buf_add_P3DLamaGeom ( buf_t buf, P3DLamaGeom *x, int nDim, int *dims);
void buf_add_P3DLamaLimits ( buf_t buf, P3DLamaLimits *x, int nDim, int *dims);
void buf_add_P3DArcsParams ( buf_t buf, P3DArcsParams *x, int nDim, int *dims);
void buf_add_P3DPlanParams ( buf_t buf, P3DPlanParams *x, int nDim, int *dims);
void buf_add_P3DSDIIo ( buf_t buf, P3DSDIIo *x, int nDim, int *dims);
void buf_add_P3D_SAVEMAP_PARAMS ( buf_t buf, P3D_SAVEMAP_PARAMS *x, int nDim, int *dims);
void buf_add_P3DWayPoint ( buf_t buf, P3DWayPoint *x, int nDim, int *dims);
void buf_add_P3DWayPointList ( buf_t buf, P3DWayPointList *x, int nDim, int *dims);
void buf_add_P3DGoalDistance ( buf_t buf, P3DGoalDistance *x, int nDim, int *dims);
void buf_add_P3D_STATUS_FLAG ( buf_t buf, P3D_STATUS_FLAG *x, int nDim, int *dims);
void buf_add_P3DStatus ( buf_t buf, P3DStatus *x, int nDim, int *dims);
void buf_add_P3DRobotConfigGen ( buf_t buf, P3DRobotConfigGen *x, int nDim, int *dims);
void buf_add_P3DNodeGen ( buf_t buf, P3DNodeGen *x, int nDim, int *dims);
void buf_add_P3DArcGen ( buf_t buf, P3DArcGen *x, int nDim, int *dims);
void buf_add_P3DSolution ( buf_t buf, P3DSolution *x, int nDim, int *dims);
void buf_add_P3D_DISPLAY_PARAMS ( buf_t buf, P3D_DISPLAY_PARAMS *x, int nDim, int *dims);
void buf_add_P3D_GDHE_CONNECTION ( buf_t buf, P3D_GDHE_CONNECTION *x, int nDim, int *dims);
void buf_add_P3D_DISPLAY_STATE ( buf_t buf, P3D_DISPLAY_STATE *x, int nDim, int *dims);
void buf_add_P3D_ROBOT_POS ( buf_t buf, P3D_ROBOT_POS *x, int nDim, int *dims);
void buf_add_P3D_DISPLAYCONFIG_PARAMS ( buf_t buf, P3D_DISPLAYCONFIG_PARAMS *x, int nDim, int *dims);
void buf_add_P3D_PLACEROBOT_PARAMS ( buf_t buf, P3D_PLACEROBOT_PARAMS *x, int nDim, int *dims);
void buf_add_P3D_MONITOR_STATUS ( buf_t buf, P3D_MONITOR_STATUS *x, int nDim, int *dims);
void buf_add_P3D_MONITOR_DATA ( buf_t buf, P3D_MONITOR_DATA *x, int nDim, int *dims);
void buf_add_P3D_MONITOR_LOG_FLAG ( buf_t buf, P3D_MONITOR_LOG_FLAG *x, int nDim, int *dims);
void buf_add_P3D_MONITOR_PARAMS ( buf_t buf, P3D_MONITOR_PARAMS *x, int nDim, int *dims);
void buf_add_P3D_DUMP_STATUS ( buf_t buf, P3D_DUMP_STATUS *x, int nDim, int *dims);
void buf_add_P3D_DUMP_PARAMS ( buf_t buf, P3D_DUMP_PARAMS *x, int nDim, int *dims);
void buf_add_P3D_STR ( buf_t buf, P3D_STR *x, int nDim, int *dims);
void buf_add_P3D_SPEEDREF_POSTER_STR ( buf_t buf, P3D_SPEEDREF_POSTER_STR *x, int nDim, int *dims);
void buf_add_P3D_WAYPOINTS_POSTER_STR ( buf_t buf, P3D_WAYPOINTS_POSTER_STR *x, int nDim, int *dims);
void buf_add_P3D_PATH_POSTER_STR ( buf_t buf, P3D_PATH_POSTER_STR *x, int nDim, int *dims);
void buf_add_P3D_MONITORING_POSTER_STR ( buf_t buf, P3D_MONITORING_POSTER_STR *x, int nDim, int *dims);
void buf_add_P3D_P3DSTATUS_POSTER_STR ( buf_t buf, P3D_P3DSTATUS_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* P3D_TCLSERV_CLIENT_ENCODE_H */

